/* 
   Mandelbrot set computation

   Original program by Charles Calkins

   Modified by Jim Teresco, Williams College

   $Id: mand.h,v 1.1 2003/03/04 05:28:42 terescoj Exp $
*/

#define BYTE unsigned char
#define WORD unsigned short


typedef struct TGAFileHeader {
  BYTE IDLength;
  BYTE ColorMapType;
  BYTE ImageType;
  WORD CMapStart;
  WORD CMapLength;
  BYTE CMapDepth;
  WORD XOffset;
  WORD YOffset;
  WORD Width;
  WORD Height;
  BYTE PixelDepth;
  BYTE ImageDescriptor;
} TGAFH;

#ifndef CLOCKS_PER_SEC
#ifdef CLK_TCK
#define CLOCKS_PER_SEC CLK_TCK
#else
#define CLOCKS_PER_SEC 1000000
#endif
#endif

double MSetDist(double, double, int, double, double *, double *);
void parse_cmdline(int argc, char *argv[],
		   int *xsize, int *ysize,
		   double *xmin, double *xmax, double *ymin, double *ymax,
		   int *maxiter, double *h, double *thresh, int *nthreads, char *);
void SaveAsTGA(char *, int, int, double *);

